# Riemann::Cassandra
Gem for sending Cassandra metrics to Riemann. To use it you will need an JMX enabled Cassandra and JRuby.

# Metrics
* Throughput (writes|reads)
* Latency (writes|reads)
* Key cache hit rate
* Timeout exceptions (writes|reads)
* Unavailable exceptions (writes|reads)
* (TODO) Load
* (TODO) Total disk space used
* (TODO) Completed compaction tasks
* (TODO) Pending compaction tasks
* (TODO) ParNew garbage collections (count|time)
* (TODO) CMS garbage collections (count|time)
* (TODO) Exceptions
* (TODO) Pending tasks (per stage)
* (TODO) Currently blocked tasks

More:
* https://www.datadoghq.com/blog/how-to-monitor-cassandra-performance-metrics/
* https://www.datadoghq.com/blog/how-to-collect-cassandra-metrics/

## Installation
1. Install [JRuby](http://jruby.org/)
2. Run `$ gem install riemann-cassandra`

## Usage
`riemann-cassandra --host my.riemann.server --cassandra_jmx_host my.cassandra.server --cassandra_jmx_port 7199`

## License
The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).
